clear
path='D:\1\';
fname1='S1.tif'; 
s1=double( imread([path, fname1]) );
S1=double(s1(:,:));  %%S1=double(s1(1:2160,1:2160));

figure;
imshow(S1,[]); title('S1'); colormap(gca, parula(256));  colorbar(gca);
%% 
% *Hist of SoC distribution*

figure, hist(S1(:),1000);
S1_hist=hist(S1(:),1000);
[countsS1,centersS1]=hist(S1,1000);
figure; 
plot(centersS1,countsS1/sum(countsS1)); title('S1_line');
figure;  plot(centersS1,countsS1/sum(countsS1));
%% 
% *SoC Line Distribution*

fname2='S1_Line.tif'; 
s2=double( imread([path, fname2]) );
S2_Line=double(s2(:,:));  %%S1=double(s1(1:2160,1:2160));
figure;
imshow(S2_Line,[]); title('S2_Line'); colormap(gca, parula(256));  colorbar(gca);
s2_line=[];

for j=1:756
    s2_line=[s2_line; nanmean(S2_Line(j,:))];
end
figure;
plot((1:756),s2_line); title('S2_line');